Started by an SCM change [EnvInject] - Loading node environment variables. Building remotely on amp-jenkins-worker-07 (centos) in workspace /home/jenkins/workspace/ampcrowd > git rev-parse --is-inside-work-tree # timeout=10 Fetching changes from the remote Git repository > git config remote.origin.url https://github.com/amplab/ampcrowd.git # timeout=10 Fetching upstream changes from https://github.com/amplab/ampcrowd.git > git --version # timeout=10 > git fetch --tags --progress https://github.com/amplab/ampcrowd.git +refs/heads/*:refs/remotes/origin/* > git rev-parse refs/remotes/origin/master^{commit} # timeout=10 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10 Checking out Revision 8ceb2236160b2ec5bda8fbc99bb2ce16c2448f47 (refs/remotes/origin/master) > git config core.sparsecheckout # timeout=10 > git checkout -f 8ceb2236160b2ec5bda8fbc99bb2ce16c2448f47 > git rev-list be6022eaed22afc9ff18c27afc622f86effa55d7 # timeout=10 [ampcrowd] $ /bin/sh -xe /tmp/hudson7261596972815830279.sh + docker-compose build db uses an image, skipping rabbitmq uses an image, skipping Building web... Step 0 : FROM python:2 Pulling repository python Status: Downloaded newer image for python:2 ---> d833e0b23482 Step 1 : RUN apt-get update && apt-get install -y postgresql-client ---> Running in 3fb7e887d452 Get:1 http://httpredir.debian.org jessie InRelease [128 kB] Get:2 http://httpredir.debian.org jessie-updates InRelease [126 kB] Get:3 http://httpredir.debian.org jessie/main amd64 Packages [9019 kB] Get:4 http://httpredir.debian.org jessie-updates/main amd64 Packages [3612 B] Get:5 http://security.debian.org jessie/updates InRelease [63.1 kB] Get:6 http://security.debian.org jessie/updates/main amd64 Packages [58.9 kB] Fetched 9399 kB in 5s (1624 kB/s) Reading package lists... Reading package lists... Building dependency tree... Reading state information... The following packages were automatically installed and are no longer required: gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-rsvg-2.0 javascript-common libcairo-gobject2 libcairo-script-interpreter2 libcdt5 libcgraph6 libcroco3 libdjvulibre-dev libelfg0 libexif-dev libexif12 libexpat1-dev libfontconfig1-dev libfreetype6-dev libgd3 libgirepository-1.0-1 libglib2.0-bin libgraphviz-dev libgvc6 libgvpr2 libice-dev libice6 libilmbase-dev libjasper-dev libjbig-dev libjs-excanvas libjs-jquery liblcms2-dev liblqr-1-0-dev libltdl-dev liblzo2-2 libmagickcore-6-arch-config libmagickcore-6-headers libmagickwand-6-headers libopenexr-dev libpathplan4 libpcre3-dev libpcrecpp0 libpixman-1-dev libpng12-dev libpthread-stubs0-dev librsvg2-2 librsvg2-common libsm-dev libsm6 libtiff5-dev libtiffxx5 libtool libvpx1 libwmf-dev libx11-dev libx11-doc libxau-dev libxcb-render0-dev libxcb-shm0-dev libxcb1-dev libxdmcp-dev libxdot4 libxext-dev libxpm4 libxrender-dev libxt-dev libxt6 pkg-config x11-common x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-render-dev x11proto-xext-dev xorg-sgml-doctools xtrans-dev Use 'apt-get autoremove' to remove them. The following extra packages will be installed: libpython-stdlib libpython2.7-minimal libpython2.7-stdlib lsb-release postgresql-client-9.4 postgresql-client-common python python-minimal python2.7 python2.7-minimal Suggested packages: lsb postgresql-9.4 postgresql-doc-9.4 python-doc python-tk python2.7-doc binfmt-support The following NEW packages will be installed: libpython-stdlib libpython2.7-minimal libpython2.7-stdlib lsb-release postgresql-client postgresql-client-9.4 postgresql-client-common python python-minimal python2.7 python2.7-minimal 0 upgraded, 11 newly installed, 0 to remove and 4 not upgraded. Need to get 5304 kB of archives. After this operation, 21.0 MB of additional disk space will be used. Get:1 http://httpredir.debian.org/debian/ jessie/main libpython2.7-minimal amd64 2.7.9-2 [376 kB] Get:2 http://httpredir.debian.org/debian/ jessie/main python2.7-minimal amd64 2.7.9-2 [1401 kB] Get:3 http://httpredir.debian.org/debian/ jessie/main python-minimal amd64 2.7.9-1 [40.3 kB] Get:4 http://httpredir.debian.org/debian/ jessie/main libpython2.7-stdlib amd64 2.7.9-2 [1844 kB] Get:5 http://httpredir.debian.org/debian/ jessie/main python2.7 amd64 2.7.9-2 [251 kB] Get:6 http://httpredir.debian.org/debian/ jessie/main libpython-stdlib amd64 2.7.9-1 [19.5 kB] Get:7 http://httpredir.debian.org/debian/ jessie/main python amd64 2.7.9-1 [151 kB] Get:8 http://httpredir.debian.org/debian/ jessie/main lsb-release all 4.1+Debian13+nmu1 [26.5 kB] Get:9 http://httpredir.debian.org/debian/ jessie/main postgresql-client-common all 165 [73.3 kB] Get:10 http://httpredir.debian.org/debian/ jessie/main postgresql-client-9.4 amd64 9.4.1-1 [1068 kB] Get:11 http://httpredir.debian.org/debian/ jessie/main postgresql-client all 9.4+165 [51.7 kB] debconf: delaying package configuration, since apt-utils is not installed Fetched 5304 kB in 2s (2623 kB/s) Selecting previously unselected package libpython2.7-minimal:amd64. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 25742 files and directories currently installed.) Preparing to unpack .../libpython2.7-minimal_2.7.9-2_amd64.deb ... Unpacking libpython2.7-minimal:amd64 (2.7.9-2) ... Selecting previously unselected package python2.7-minimal. Preparing to unpack .../python2.7-minimal_2.7.9-2_amd64.deb ... Unpacking python2.7-minimal (2.7.9-2) ... Selecting previously unselected package python-minimal. Preparing to unpack .../python-minimal_2.7.9-1_amd64.deb ... Unpacking python-minimal (2.7.9-1) ... Selecting previously unselected package libpython2.7-stdlib:amd64. Preparing to unpack .../libpython2.7-stdlib_2.7.9-2_amd64.deb ... Unpacking libpython2.7-stdlib:amd64 (2.7.9-2) ... Selecting previously unselected package python2.7. Preparing to unpack .../python2.7_2.7.9-2_amd64.deb ... Unpacking python2.7 (2.7.9-2) ... Selecting previously unselected package libpython-stdlib:amd64. Preparing to unpack .../libpython-stdlib_2.7.9-1_amd64.deb ... Unpacking libpython-stdlib:amd64 (2.7.9-1) ... Processing triggers for mime-support (3.58) ... Setting up libpython2.7-minimal:amd64 (2.7.9-2) ... Setting up python2.7-minimal (2.7.9-2) ... Linking and byte-compiling packages for runtime python2.7... Setting up python-minimal (2.7.9-1) ... Selecting previously unselected package python. (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 26491 files and directories currently installed.) Preparing to unpack .../python_2.7.9-1_amd64.deb ... Unpacking python (2.7.9-1) ... Selecting previously unselected package lsb-release. Preparing to unpack .../lsb-release_4.1+Debian13+nmu1_all.deb ... Unpacking lsb-release (4.1+Debian13+nmu1) ... Selecting previously unselected package postgresql-client-common. Preparing to unpack .../postgresql-client-common_165_all.deb ... Unpacking postgresql-client-common (165) ... Selecting previously unselected package postgresql-client-9.4. Preparing to unpack .../postgresql-client-9.4_9.4.1-1_amd64.deb ... Unpacking postgresql-client-9.4 (9.4.1-1) ... Selecting previously unselected package postgresql-client. Preparing to unpack .../postgresql-client_9.4+165_all.deb ... Unpacking postgresql-client (9.4+165) ... Setting up libpython2.7-stdlib:amd64 (2.7.9-2) ... Setting up python2.7 (2.7.9-2) ... Setting up libpython-stdlib:amd64 (2.7.9-1) ... Setting up python (2.7.9-1) ... Setting up lsb-release (4.1+Debian13+nmu1) ... Setting up postgresql-client-common (165) ... Setting up postgresql-client-9.4 (9.4.1-1) ... update-alternatives: using /usr/share/postgresql/9.4/man/man1/psql.1.gz to provide /usr/share/man/man1/psql.1.gz (psql.1.gz) in auto mode Setting up postgresql-client (9.4+165) ... ---> a95484fa7703 Removing intermediate container 3fb7e887d452 Step 2 : COPY requirements.txt /usr/src/app/ ---> fbae52cb2797 Removing intermediate container b6b733341604 Step 3 : WORKDIR /usr/src/app ---> Running in 405f47245767 ---> c23c3195d100 Removing intermediate container 405f47245767 Step 4 : RUN pip install -r requirements.txt ---> Running in 8885e0d1e6c6 Collecting Django==1.7 (from -r requirements.txt (line 1)) Downloading Django-1.7-py2.py3-none-any.whl (7.4MB) Collecting amqp==1.4.6 (from -r requirements.txt (line 2)) Downloading amqp-1.4.6-py2-none-any.whl (49kB) Collecting anyjson==0.3.3 (from -r requirements.txt (line 3)) Downloading anyjson-0.3.3.tar.gz Collecting billiard==3.3.0.18 (from -r requirements.txt (line 4)) Downloading billiard-3.3.0.18.tar.gz (150kB) Collecting boto==2.29.1 (from -r requirements.txt (line 5)) Downloading boto-2.29.1-py2-none-any.whl (1.2MB) Collecting celery==3.1.15 (from -r requirements.txt (line 6)) Downloading celery-3.1.15-py2.py3-none-any.whl (513kB) Collecting django-celery==3.1.16 (from -r requirements.txt (line 7)) Downloading django_celery-3.1.16-py2-none-any.whl (65kB) Collecting django-sslserver==0.12 (from -r requirements.txt (line 8)) Downloading django-sslserver-0.12.tar.gz Collecting gunicorn==19.0.0 (from -r requirements.txt (line 9)) Downloading gunicorn-19.0.0.tar.gz (382kB) Collecting kombu==3.0.23 (from -r requirements.txt (line 10)) Downloading kombu-3.0.23-py2.py3-none-any.whl (207kB) Collecting matplotlib==1.4.0 (from -r requirements.txt (line 11)) Downloading matplotlib-1.4.0.tar.gz (51.2MB) Collecting mechanize==0.2.5 (from -r requirements.txt (line 12)) Downloading mechanize-0.2.5.tar.gz (383kB) Collecting mock==1.0.1 (from -r requirements.txt (line 13)) Downloading mock-1.0.1.tar.gz (818kB) Collecting multi-mechanize==1.2.0 (from -r requirements.txt (line 14)) Downloading multi-mechanize-1.2.0.tar.gz Collecting nose==1.3.4 (from -r requirements.txt (line 15)) Downloading nose-1.3.4-py2-none-any.whl (154kB) Collecting numpy==1.9.0 (from -r requirements.txt (line 16)) Downloading numpy-1.9.0.tar.gz (4.0MB) Collecting psycopg2==2.5.3 (from -r requirements.txt (line 17)) Downloading psycopg2-2.5.3.tar.gz (690kB) Collecting pyparsing==2.0.2 (from -r requirements.txt (line 18)) Downloading pyparsing-2.0.2.tar.gz (1.1MB) Collecting python-dateutil==2.2 (from -r requirements.txt (line 19)) Downloading python-dateutil-2.2.tar.gz (259kB) Collecting pytz==2014.7 (from -r requirements.txt (line 20)) Downloading pytz-2014.7.tar.bz2 (166kB) Collecting six==1.8.0 (from -r requirements.txt (line 21)) Downloading six-1.8.0-py2.py3-none-any.whl Requirement already satisfied (use --upgrade to upgrade): wsgiref==0.1.2 in /usr/local/lib/python2.7 (from -r requirements.txt (line 22)) Requirement already satisfied (use --upgrade to upgrade): setuptools in /usr/local/lib/python2.7/site-packages (from django-sslserver==0.12->-r requirements.txt (line 8)) Installing collected packages: Django, amqp, anyjson, billiard, boto, pytz, kombu, celery, django-celery, django-sslserver, gunicorn, numpy, six, python-dateutil, pyparsing, nose, mock, matplotlib, mechanize, multi-mechanize, psycopg2 Running setup.py install for anyjson Running setup.py install for billiard Running setup.py install for pytz Running setup.py install for django-sslserver Running setup.py install for gunicorn Running setup.py install for numpy Running setup.py install for python-dateutil Running setup.py install for pyparsing Running setup.py install for mock Running setup.py install for matplotlib Running setup.py install for mechanize Running setup.py install for multi-mechanize Running setup.py install for psycopg2 Successfully installed Django-1.7 amqp-1.4.6 anyjson-0.3.3 billiard-3.3.0.18 boto-2.29.1 celery-3.1.15 django-celery-3.1.16 django-sslserver-0.12 gunicorn-19.0.0 kombu-3.0.23 matplotlib-1.4.0 mechanize-0.2.5 mock-1.0.1 multi-mechanize-1.2.0 nose-1.3.4 numpy-1.9.0 psycopg2-2.5.3 pyparsing-2.0.2 python-dateutil-2.2 pytz-2014.7 six-1.8.0 ---> ad9911612e38 Removing intermediate container 8885e0d1e6c6 Step 5 : ENV PYTHONUNBUFFERED 1 ---> Running in a4befccfa55b ---> 10c92dc8e336 Removing intermediate container a4befccfa55b Step 6 : EXPOSE 8000 ---> Running in 32545743cf68 ---> d5213472a974 Removing intermediate container 32545743cf68 Step 7 : COPY ampcrowd/docker-entrypoint.sh /usr/src/app/ampcrowd ---> ee825ad9320d Removing intermediate container a3b8f04c5381 Step 8 : ENTRYPOINT bash ampcrowd/docker-entrypoint.sh ---> Running in 8a672514b197 ---> 8e9e515ec536 Removing intermediate container 8a672514b197 Step 9 : CMD -s -f ---> Running in 0b784bc77f21 ---> 77c454573666 Removing intermediate container 0b784bc77f21 Successfully built 77c454573666 Finished: SUCCESS